| LightHub v4.0.0 Smarthome controller firmware

Macros | Functions | Variables
dmx.h File Reference
`#include "options.h"`
`#include "aJSON.h"`

Go to the source code of this file.

## Macros
#define | D_UPDATED1 1
#define | D_UPDATED2 2
#define | D_UPDATED3 4
#define | D_UPDATED4 8
#define | D_CHECKT 300

## Functions
void | DMXput (void)
void | DMXinSetup (int channels)
void | DMXoutSetup (int channels)
void | artnetSetup ()
void | artnetSetChans (uint8_t minCh, uint8_t maxCh)
void | DMXCheck (void)
int | itemCtrl2 (char *name, int r, int g, int b, int w)
void | DmxWriteBuf (uint16_t chan, uint8_t val)
void | DMXOUT_propagate ()

## Variables
aJsonObject * | dmxArr

## Macro Definition Documentation

## ◆ D_CHECKT

#define D_CHECKT 300

## ◆ D_UPDATED1

#define D_UPDATED1 1

## ◆ D_UPDATED2

#define D_UPDATED2 2

## ◆ D_UPDATED3

#define D_UPDATED3 4

## ◆ D_UPDATED4

#define D_UPDATED4 8

## Function Documentation

## ◆ artnetSetChans()

void artnetSetChans | ( | uint8_t | minCh,
|  | uint8_t | maxCh
| ) |  |

## ◆ artnetSetup()

void artnetSetup | ( |  | ) |

## ◆ DMXCheck()

void DMXCheck | ( | void |  | ) |

## ◆ DMXinSetup()

void DMXinSetup | ( | int | channels | ) |

ToDo: re-init

## ◆ DMXOUT_propagate()

void DMXOUT_propagate | ( |  | ) |

## ◆ DMXoutSetup()

void DMXoutSetup | ( | int | channels | ) |

## ◆ DMXput()

void DMXput | ( | void |  | ) |

## ◆ DmxWriteBuf()

void DmxWriteBuf | ( | uint16_t | chan,
|  | uint8_t | val
| ) |  |

## ◆ itemCtrl2()

int itemCtrl2 | ( | char * | name,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | w
| ) |  |

## Variable Documentation

## ◆ dmxArr

aJsonObject* dmxArr
| extern